Profile Form Bug
Challenge Description

You are working on a form that updates a user's profile. However, there is a bug in the code, that updates the current user before submitting the form.

Your task is to identify and fix the bug, ensuring that the user profile is only updated when the save button is pressed.
Requirements

    The users name and email updates correctly when the save button is pressed.
    The users name and email are not updated when the input fields are changed.

Other Considerations

    If you see the data-test attribute anywhere in the boilerplate don't remove it.
    TailwindCSS is preinstalled with the default config. It might be helpful for you, if you want to have some styles. (Not obligatory)

